import React, { Component } from 'react'
import { render } from 'react-dom'

import notifyResize, { NotifyResize } from './src'

class Box extends Component {
  render(){
    return <div style={{
        position: 'absolute',
        width: '100%',
        height: '100%',
        top: 0,
        left: 0
      }}
    >
      {this.props.resizeTool}
    </div>
  }

  onResize(){
    console.log('I changed!')
  }
}

const NotifiedBox = notifyResize(Box)

class App extends Component {

  constructor(props){
    super(props)

    this.state = {
      width: 200,
      height: 200
    }
  }

  render(){
    return <div>
      <button onClick={() => {
        this.setState({
          width: this.state.width + 1,
          height: this.state.height + 1,
        })
      }}>More</button>
      <button onClick={() => {
        this.setState({
          width: this.state.width - 1,
          height: this.state.height - 1,
        })
      }}>Less</button>


      <div
        style={{
          position: 'relative',
          width: this.state.width,
          height: this.state.height,
          background: '#99aabb'
        }}
      >
        <NotifiedBox ref={c => window.c = c} />
        <NotifyResize ref={c => window.a = c} factory={Box} />
      </div>
    </div>
  }
}


render(
  <App />,
  document.getElementById('content') 
)